Bug 70945 - Configuration of Creative ViBRA16X PnP sound card fails
Summary: Configuration of Creative ViBRA16X PnP sound card fails
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-soundcard   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-07 07:25 UTC by Chris Negus
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-07 07:25:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Negus 2002-08-07 07:25:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
When I ran redhat-config-soundcard, the pop-up window said "No soundcards were
detected." Sound doesn't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.As root, type redhat-config-soundcard
2.
3.
	

Actual Results:  The Creative ViBRA16X PnP card is not detected.

Expected Results:  Should have configured the sound card.

Additional info:

The kernel is expecting the sound card to have a 16-bit DMA channel, which
apparently the card does not have. The following messages appeared in
/var/log/messages:

Aug  6 17:18:10 maple kernel: Soundblaster audio driver Copyright (C) by Hannu
Savolainen 1993-1996
Aug  6 17:18:10 maple kernel: sb: Creative ViBRA16X PnP detected
Aug  6 17:18:10 maple kernel: sb: ISAPnP reports 'Creative ViBRA16X PnP' at i/o
0x220, irq 5, dma 1, 3
Aug  6 17:18:10 maple kernel: SB 4.16 detected OK (220)
Aug  6 17:18:10 maple kernel: SB16: Bad or missing 16 bit DMA channel
Aug  6 17:18:10 maple kernel: sb: 1 Soundblaster PnP card(s) found.
Aug  6 17:18:11 maple modprobe: modprobe: Can't locate module sound-service-0-3


I was able to get the sound card working using sndconfig. It added the following
 lines to the /etc/modules.conf file:

options sound dmabuf=1
alias synth0 opl3
options opl3 io=0x388
options sb isapnp=1

Comment 1 Brent Fox 2002-08-14 05:51:49 UTC
It's too late for me to address this for this release.  Deferring.


Note You need to log in before you can comment on or make changes to this bug.